r.plane(1)

NAME
r.plane.py - Creates raster plane map given dip (inclination), aspect (azimuth) and one point.

KEYWORDS
raster, elevation

SYNOPSIS
r.plane.py
r.plane.py --help
r.plane.py output=name dip=float azimuth=float easting=float northing=float elevation=float [type=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

output=name [required]
    Name for output raster map

dip=float [required]
    Dip of plane in degrees
    Default: 0.0

azimuth=float [required]
    Azimuth of the plane in degrees
    Default: 0.0

easting=float [required]
    Easting coordinate of a point on the plane

northing=float [required]
    Northing coordinate of a point on the plane

elevation=float [required]
    Elevation coordinate of a point on the plane

type=string
    Type of raster map to be created
    Options: CELL, FCELL, DCELL
    Default: FCELL

DESCRIPTION
r.plane creates a tilted plane raster map given user-specified parameters for inclination, azimuth, and the geographic location of a point on the plane.
The angle orientations of the azimuth parameter increase counter-clockwise, i.e., 0 degree = N, 45 degree = NW, 90 degree = W etc.

Increasing values of the dip parameter progressively lower (or dip) the northern half of the plane, and incline the southern half, assuming the azimuth parameter is held constant at 0 degrees.

NOTES
g.region -c provides the easting and northing coordinates for the center of the current region.

CELL (integer) maps take less disk space than FCELLs (floating point), which in turn take up less space than DCELLs (double precision floating point).

EXAMPLE
A tilted plane in the North Carolina sample dataset region:

g.region -d
g.region -c
r.plane myplane45 dip=45 az=90 east=527500.0 north=165000.0 \
        elev=1000 type=FCELL

AUTHOR
Unknown, presumably CERL
Updated to GRASS 5.7 by Michael Barton, Arizona State University
Full rewrite for GRASS 7 by Glynn Clements

Last changed: $Date: 2013-05-29 01:44:58 +0200 (st, 29 V 2013) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual